Name:          compile-command-annotations
Version:       1.2.0
Release:       1%{?dist}
Summary:       Hotspot compile command annotations
License:       ASL 2.0
URL:           https://github.com/nicoulaj/%{name}
Source0:       https://github.com/nicoulaj/%{name}/archive/%{version}.tar.gz

BuildRequires: maven-local
# Test deps
%if 0
BuildRequires: mvn(org.apache.maven.plugins:maven-invoker-plugin)
BuildRequires: mvn(org.codehaus.mojo:build-helper-maven-plugin)
BuildRequires: mvn(org.codehaus.mojo:exec-maven-plugin)
BuildRequires: mvn(com.google.guava:guava)
BuildRequires: mvn(commons-io:commons-io)
BuildRequires: mvn(org.testng:testng)
Buildrequires: mvn(org.easytesting:fest-assert-core:2.0M10)
%endif
BuildArch:     noarch

%description
Annotation based configuration file generator for the
Hotspot JVM JIT compiler.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -qn %{name}-%{version}
mv src/site/markdown/index.md.vm ./index.md

# net.ju-n:net-ju-n-parent:32
%pom_remove_parent

%pom_remove_plugin :maven-invoker-plugin
%pom_remove_plugin :build-helper-maven-plugin
%mvn_file net.ju-n.compile-command-annotations:%{name} %{name}

%build
# no test deps
%mvn_build -f -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%doc README.md index.md
%license COPYING

%files javadoc -f .mfiles-javadoc
%license COPYING

%changelog
* Mon Apr 18 2016 Tomas Repik <trepik@redhat.com> - 1.2.0-1
- Initial RPM release


